import 'package:guru_utils/property/property.dart';
import 'package:guru_utils/settings/settings.dart';

/// Created by Haoyi on 2023/6/5

class UiSettingsKeys {
  static const defaultGroup = "demo";
  static const PropertyKey checkedTileIdx =
      PropertyKey.setting("checked_tile_idx", group: defaultGroup);
  static const PropertyKey checkedTileBol =
      PropertyKey.setting("checked_tile_Bol", group: defaultGroup);
}

class UiSettings extends Settings {
  static UiSettings instance = UiSettings._();

  final SettingData<int> checkedTileIdx = SettingIntData(UiSettingsKeys.checkedTileIdx, defaultValue: 0);
  final SettingData<bool> checkedTileBol = SettingBoolData(UiSettingsKeys.checkedTileBol, defaultValue: false);

  UiSettings._();
}
